import {Component, OnInit} from '@angular/core';
import {ScheduleInfo, ScheduleService} from "../../api";
import {NavigationLink} from "../navigation-link-list/navigation-link-list.component";

@Component({
  selector: 'app-missed-schedules',
  templateUrl: './missed-schedules.component.html',
  styleUrls: ['./missed-schedules.component.css']
})
export class MissedSchedulesComponent implements OnInit{

  missedSchedules: ScheduleInfo[] = []
  defaultNavigationLinkPath: NavigationLink[] = [
    {
      linkText: "Dashboard",
      routerLink: ['/']
    },
    {
      linkText: "Missed Schedules",
      routerLink: ["/reschedule"]
    }
  ]
  constructor(private scheduleService: ScheduleService) {
  }

  ngOnInit() {
    this.scheduleService.schedulesMissedGet().subscribe({
      next: resp => {
        this.missedSchedules = resp;
      }
    })
  }
}
